Back to the main site

[SOLVED] Cannot find winemenubuilder - Frostpunk


#1

I bought Frostpunk on GOG and I’m having issues launching it. I used the ‘GOG w/ DXVK version’ from the Lutris website.

Game > View last game’s log, the only line is:
wine: cannot find L"C:\windows\system32\winemenubuilder.exe"

Specs:
OS: Linux Mint 18.3
CPU: Ryzen 2700X
GPU: AMD RX 580
Driver: Mesa (Version unknown, latest)

EDIT: For an unknown reason, the latest DXVK version detected is 0.52. I apologise, I was using nvidia until last month which seem to be easier to manage.

I tried restarting, uninstalling and reinstalling the game, but I cannot find a solution. My internet search brings me results back from 2012 where it says to update MESA driver.

Thanks for your help.


#2

That error means nothing. https://lutris.net/faq#faq-winemenubuilder

If you haven’t done any of this please do so: https://github.com/lutris/lutris/wiki/How-to:-DXVK#requirements

Also use DXVK 0.61 with Mesa 18.1.2 or higher.


#3

Oh thanks , I missed the mesa-vulkan-drivers:i386 package. Now the game opens but it’s a black screen. the log, if helpful, have the following lines:

vulkan: No DRI3 support detected - required for presentation
Note: you can probably enable DRI3 in your Xorg config
err: DxvkSurface::createSurface: Surface not supported by device
X Error of failed request: BadWindow (invalid Window parameter)

I read that I need to enable something in a file located in /etc/X11/xorg.conf.d/ but the xorg.conf.d folder doesn’t exists. (source)

Trying to run with DXVK 0.61 or 0.60 gives me a “Program Error” window saying Frostpunk.exe encountered a “serious” error.

Mesa-vulkan-drivers version 17.2.8
Mesa-utils 8.3.0

Linux Mint 19 based on Ubuntu 18.04 should have an upgrade path available soon from 18.3 and I hope it’ll ship wih latest mesa update.

As I said, I’m sorry for my noobness, I used to use the nvidia driver and it was a one-click install and never had to think about it again. (And I usually play linux native games)


#4

Try adding This to Env variables in system options:

Key: VK_ICD_FILENAMES

Value: /usr/share/vulkan/icd.d/radeon_icd.x86_64.json


#5

Sorry I was away.
I got the same error:

vulkan: No DRI3 support detected - required for presentation
Note: you can probably enable DRI3 in your Xorg config
err: DxvkSurface::createSurface: Surface not supported by device

Any idea how or if enabling DRI3 would work?


#6

I don’t know how I missed this but that Mesa version is too old for DXVK I think.


#7

That would be quite an easy fix hahaha.
As soon as Linux Mint release an upgrade path to version 19 I’ll upgrade and update this thread.

Thanks for your time I appreciate it very much!


#8

@cxf you were right! After upgrading to Linux Mint 19 (Ubuntu 18.04) Frostpunk works! I can now play yay!

thanks for your help!


#9

You’re welcome! Have fun playing!


#10